Package com.collibra.catalog.api.component.classification.dto

# Class FindClassificationMatchesRequest

Object
PagedRequest
FindClassificationMatchesRequest

All Implemented Interfaces:
  `Serializable`

public class FindClassificationMatchesRequest extends PagedRequest
Search criteria for finding classification matches.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `FindClassificationMatchesRequest.Builder`
  `static enum`
  `FindClassificationMatchesRequest.ClassificationStatus`
  The status of classification match to find.

- ## Field Summary

  ### Fields inherited from class PagedRequest

  `countLimit, limit, offset`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FindClassificationMatchesRequest()`
  `FindClassificationMatchesRequest(List<UUID> assetIds, List<FindClassificationMatchesRequest.ClassificationStatus> statuses, List<UUID> classificationIds, List<UUID> assetTypeIds)`
  Creates a new `FindClassificationMatchesRequest` instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FindClassificationMatchesRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `List<UUID>`
  `getAssetIds()`
  The `id`s of the assets (with Column types) to filter by the search results.
  `List<UUID>`
  `getAssetTypeIds()`
  The list of asset type ids to filter by the search results.
  `List<UUID>`
  `getClassificationIds()`
  The list of classification ids to filter by the search results.
  `List<FindClassificationMatchesRequest.ClassificationStatus>`
  `getStatuses()`
  The list of classification match statuses to filter by the search results.
  `int`
  `hashCode()`
  `void`
  `setAssetIds(List<UUID> assetIds)`
  The `id`s of the assets (with Column types) to filter by the search results.
  `void`
  `setAssetTypeIds(List<UUID> assetTypeIds)`
  The list of asset type ids to filter by the search results.
  `void`
  `setClassificationIds(List<UUID> classificationIds)`
  The list of classification ids to filter by the search results.
  `void`
  `setStatuses(List<FindClassificationMatchesRequest.ClassificationStatus> statuses)`
  The list of classification match statuses to filter by the search results.
  `String`
  `toString()`

  ### Methods inherited from class PagedRequest

  `getCountLimit, getLimit, getOffset, isPagingActive, setCountLimit, setLimit, setOffset`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FindClassificationMatchesRequest

    public FindClassificationMatchesRequest(List<UUID> assetIds, List<FindClassificationMatchesRequest.ClassificationStatus> statuses, List<UUID> classificationIds, List<UUID> assetTypeIds)
    Creates a new `FindClassificationMatchesRequest` instance.
    Parameters:
      `assetIds` - The `id`s of the assets (with Column types) to filter by the search results.
      `statuses` - The list of classification match statuses to filter by the search results.
      `classificationIds` - The list of classification ids to filter by the search results.
      `assetTypeIds` - The list of asset type ids to filter by the search results.

  - ### FindClassificationMatchesRequest

    public FindClassificationMatchesRequest()

- ## Method Details

  - ### builder

    public static FindClassificationMatchesRequest.Builder builder()

  - ### getAssetIds

    public List<UUID> getAssetIds()
    The `id`s of the assets (with Column types) to filter by the search results.

  - ### getStatuses

    public List<FindClassificationMatchesRequest.ClassificationStatus> getStatuses()
    The list of classification match statuses to filter by the search results.

  - ### getClassificationIds

    public List<UUID> getClassificationIds()
    The list of classification ids to filter by the search results.

  - ### getAssetTypeIds

    public List<UUID> getAssetTypeIds()
    The list of asset type ids to filter by the search results.

  - ### setAssetIds

    public void setAssetIds(List<UUID> assetIds)
    The `id`s of the assets (with Column types) to filter by the search results.

  - ### setStatuses

    public void setStatuses(List<FindClassificationMatchesRequest.ClassificationStatus> statuses)
    The list of classification match statuses to filter by the search results.

  - ### setClassificationIds

    public void setClassificationIds(List<UUID> classificationIds)
    The list of classification ids to filter by the search results.

  - ### setAssetTypeIds

    public void setAssetTypeIds(List<UUID> assetTypeIds)
    The list of asset type ids to filter by the search results.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `PagedRequest`

  - ### canEqual

    protected boolean canEqual(Object other)
    Overrides:
      `canEqual` in class `PagedRequest`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `PagedRequest`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `PagedRequest`